Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 845183 - dev-util/git-delta-0.13.0 [bat warning]: Unknown theme 'Monokai Extended', using default.
Summary: dev-util/git-delta-0.13.0 [bat warning]: Unknown theme 'Monokai Extended', us...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sam James
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-17 14:46 UTC by Alessandro Barbieri
Modified: 2022-05-17 20:58 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Barbieri 2022-05-17 14:46:15 UTC
I have sys-apps/bat-0.20.0 and dev-util/git-delta-0.13.0 both installed

git diff
[bat warning]: Unknown theme 'Monokai Extended', using default.
thread 'main' panicked at 'something is very wrong if the default theme is missing', /var/tmp/portage/dev-util/git-delta-0.13.0/work/cargo_home/gentoo/bat-0.21.0/src/assets.rs:205:22
note: run with `RUST_BACKTRACE=1` environment variable to display a backtrace

see https://github.com/dandavison/delta/issues/1075
and https://bugs.archlinux.org/task/74765

TL;DR
>dev-util/git-delta-0.12.1 is incompatible with <=sys-apps/bat-0.20.0
<=dev-util/git-delta-0.12.1 is incompatible with >sys-apps/bat-0.20.0